summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 8 insertions, 7 deletions
diff --git a/autogen.sh b/autogen.sh
index 44e06b636..158086f08 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -37,6 +37,11 @@ DIE=0
DIE=1
}
+(xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have xml-i18n-tools installed to compile $PROJECT."
+}
+
if test "$DIE" -eq 1; then
exit 1
fi
@@ -61,6 +66,9 @@ echo "Running gettextize... Ignore non-fatal messages."
# while making dist.
echo "no" | gettextize --copy --force
+echo "Running xml-i18n-toolize... Ignore non-fatal messages."
+xml-i18n-toolize --copy --force --automake
+
echo "Running libtoolize"
libtoolize --copy --force
@@ -75,13 +83,6 @@ aclocal $ACLOCAL_FLAGS
automake -a $am_opt
-if [ -r po/Makefile.i18npatch ]; then
- if grep GENPOT po/Makefile.in.in >/dev/null;
- then echo "no need for patching file \`Makefile.in.in'";
- else patch po/Makefile.in.in < po/Makefile.i18npatch;
- fi;
-fi
-
autoconf
cd $ORIGDIR